%global _empty_manifest_terminate_build 0
Name:		python-cssselect2
Version:	0.7.0
Release:	1
Summary:	CSS selectors for Python ElementTree
License:	BSD 3-Clause
URL:		https://github.com/Kozea/cssselect2
Patch0:     0001-python-cssselect2-0.4.1-add_setup.patch
Source0:	https://files.pythonhosted.org/packages/e7/fc/326cb6f988905998f09bb54a3f5d98d4462ba119363c0dfad29750d48c09/cssselect2-0.7.0.tar.gz
BuildArch:	noarch

Requires:	python3-tinycss2
Requires:	python3-webencodings
Requires:	python3-sphinx
Requires:	python3-sphinx_rtd_theme
Requires:	python3-pytest
Requires:	python3-isort
Requires:	python3-flake8

%description
cssselect2 is a straightforward implementation of CSS3 Selectors for markup documents (HTML, XML, etc.) that can be read by ElementTree-like parsers (including cElementTree, lxml, html5lib, etc.)

%package -n python3-cssselect2
Summary:	CSS selectors for Python ElementTree
Provides:	python-cssselect2
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-cssselect2
cssselect2 is a straightforward implementation of CSS3 Selectors for markup documents (HTML, XML, etc.) that can be read by ElementTree-like parsers (including cElementTree, lxml, html5lib, etc.)

%package help
Summary:	Development documents and examples for cssselect2
Provides:	python3-cssselect2-doc
%description help
cssselect2 is a straightforward implementation of CSS3 Selectors for markup documents (HTML, XML, etc.) that can be read by ElementTree-like parsers (including cElementTree, lxml, html5lib, etc.)

%prep
%autosetup -n cssselect2-%{version}
%patch0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-cssselect2 -f filelist.lst
%dir %{python3_sitelib}/*
%license LICENSE 

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Oct 24 2022 liqiuyu <liqiuyu@kylinos.cn> - 0.7.0-1
- Upgrade package to version 0.7.0

* Mon Jul 19 2021 jinzig <jinzhiguang@kylinos.cn> - 0.4.1-1
- init package